cpufreq: skip cpufreq tests for panda board

Message ID 1390216764-22327-1-git-send-email-sanjay.rawat@linaro.org
State New
Headers show

Commit Message

Sanjay Singh Rawat Jan. 20, 2014, 11:19 a.m.
cpufreq is broken on panda, skip the tests for now

Signed-off-by: Sanjay Singh Rawat <sanjay.rawat@linaro.org>
---
 cpufreq/cpufreq_01.sh |    6 ++++++
 cpufreq/cpufreq_02.sh |    6 ++++++
 cpufreq/cpufreq_03.sh |    6 ++++++
 cpufreq/cpufreq_04.sh |    6 ++++++
 cpufreq/cpufreq_05.sh |    6 ++++++
 cpufreq/cpufreq_06.sh |    6 ++++++
 cpufreq/cpufreq_07.sh |    6 ++++++
 cpufreq/cpufreq_08.sh |    6 ++++++
 cpufreq/cpufreq_09.sh |    6 ++++++
 include/functions.sh  |    4 ++++
 10 files changed, 58 insertions(+)

Patch

diff --git a/cpufreq/cpufreq_01.sh b/cpufreq/cpufreq_01.sh
index 6f092fe..4aeee58 100755
--- a/cpufreq/cpufreq_01.sh
+++ b/cpufreq/cpufreq_01.sh
@@ -27,6 +27,12 @@ 
 
 source ../include/functions.sh
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 FILES="scaling_available_frequencies scaling_cur_freq scaling_setspeed"
 
 for_each_cpu check_cpufreq_files $FILES
diff --git a/cpufreq/cpufreq_02.sh b/cpufreq/cpufreq_02.sh
index 34e19b7..d146c03 100755
--- a/cpufreq/cpufreq_02.sh
+++ b/cpufreq/cpufreq_02.sh
@@ -29,5 +29,11 @@  source ../include/functions.sh
 
 FILES="scaling_available_governors scaling_governor"
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 for_each_cpu check_cpufreq_files $FILES
 test_status_show
diff --git a/cpufreq/cpufreq_03.sh b/cpufreq/cpufreq_03.sh
index 0c59ce8..51efe28 100755
--- a/cpufreq/cpufreq_03.sh
+++ b/cpufreq/cpufreq_03.sh
@@ -27,6 +27,12 @@ 
 
 source ../include/functions.sh
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 check_governor() {
 
     local cpu=$1
diff --git a/cpufreq/cpufreq_04.sh b/cpufreq/cpufreq_04.sh
index 530366a..7080acd 100755
--- a/cpufreq/cpufreq_04.sh
+++ b/cpufreq/cpufreq_04.sh
@@ -27,6 +27,12 @@ 
 
 source ../include/functions.sh
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 check_frequency() {
 
     local cpu=$1
diff --git a/cpufreq/cpufreq_05.sh b/cpufreq/cpufreq_05.sh
index 7830118..e28533e 100755
--- a/cpufreq/cpufreq_05.sh
+++ b/cpufreq/cpufreq_05.sh
@@ -27,6 +27,12 @@ 
 
 source ../include/functions.sh
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 if [ $(id -u) -ne 0 ]; then
     log_skip "run as non-root"
     exit 0
diff --git a/cpufreq/cpufreq_06.sh b/cpufreq/cpufreq_06.sh
index 25c473e..3700ac8 100755
--- a/cpufreq/cpufreq_06.sh
+++ b/cpufreq/cpufreq_06.sh
@@ -29,6 +29,12 @@  source ../include/functions.sh
 
 CPUCYCLE=../utils/cpucycle
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 compute_freq_ratio() {
 
     local cpu=$1
diff --git a/cpufreq/cpufreq_07.sh b/cpufreq/cpufreq_07.sh
index abfad7f..9268824 100755
--- a/cpufreq/cpufreq_07.sh
+++ b/cpufreq/cpufreq_07.sh
@@ -29,6 +29,12 @@  source ../include/functions.sh
 
 CPUBURN=../utils/cpuburn
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 check_ondemand() {
 
     local cpu=$1
diff --git a/cpufreq/cpufreq_08.sh b/cpufreq/cpufreq_08.sh
index 79008f0..54b36f6 100755
--- a/cpufreq/cpufreq_08.sh
+++ b/cpufreq/cpufreq_08.sh
@@ -29,6 +29,12 @@  source ../include/functions.sh
 
 CPUBURN=../utils/cpuburn
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 check_frequency() {
     local cpu=$1
     local freq=$2
diff --git a/cpufreq/cpufreq_09.sh b/cpufreq/cpufreq_09.sh
index a0c1171..40f422b 100755
--- a/cpufreq/cpufreq_09.sh
+++ b/cpufreq/cpufreq_09.sh
@@ -29,6 +29,12 @@  source ../include/functions.sh
 
 CPUBURN=../utils/cpuburn
 
+is_board_panda
+if [ $? -eq 0 ]; then
+	log_skip "cpufreq not supported"
+	exit 0
+fi
+
 check_powersave() {
 
     local cpu=$1
diff --git a/include/functions.sh b/include/functions.sh
index 7009fa3..0a6ddb3 100644
--- a/include/functions.sh
+++ b/include/functions.sh
@@ -344,3 +344,7 @@  restore_frequencies() {
 sigtrap() {
     exit 255
 }
+
+is_board_panda() {
+	egrep -i 'hardware' /proc/cpuinfo | egrep -i 'panda' > /dev/null
+}